import { jsx as _jsx } from "react/jsx-runtime";
import match from "autosuggest-highlight/match";
import parse from "autosuggest-highlight/parse";
import { styled } from "../styles/index.js";
const PREFIX = "GcxHighlightOption";
export const highlightOptionClasses = {
    highlight: `${PREFIX}-highlight`,
};
const Part = styled("span")(({ theme }) => ({
    whiteSpace: "pre-wrap",
    [`&.${highlightOptionClasses.highlight}`]: {
        fontWeight: theme.typography.fontWeightBold,
    },
}));
const HighlightOption = (props) => {
    const { inputText, optionText, ...other } = props;
    const matches = match(optionText, inputText, { insideWords: true });
    const parts = parse(optionText, matches);
    return (_jsx("li", { ...other, children: parts.map((part, index) => (_jsx(Part, { className: part.highlight ? highlightOptionClasses.highlight : undefined, children: part.text }, index))) }));
};
export default HighlightOption;
