import { jsx as _jsx } from "react/jsx-runtime";
import MuiChip from "@mui/material/Chip";
import { forwardRef, useEffect, useMemo, useState } from "react";
import IconButton from "../IconButton/index.js";
import Typography from "../Typography/index.js";
import Clear from "../icons/Clear.js";
export * from "@mui/material/Chip";
const Chip = forwardRef(({ deleteIcon, label, deleteLabel = "", onClick, onDelete, ...props }, ref) => {
    // Replace the close button as it is not WCAG compliant by default.
    const deleteChipButton = useMemo(() => (_jsx(IconButton, { size: "small", "aria-label": deleteLabel, title: deleteLabel, children: deleteIcon ?? _jsx(Clear, { fontSize: "small" }) })), [deleteLabel, deleteIcon]);
    const [title, setTitle] = useState();
    useEffect(() => {
        setTitle(typeof label === "string" ? label : undefined);
    }, [label]);
    return (_jsx(MuiChip, { ref: ref, "aria-label": onClick ? title : undefined, deleteIcon: onDelete ? deleteChipButton : undefined, label: _jsx(Typography, { children: label }), title: title, onClick: onClick, onDelete: onDelete, 
        // The chip should only have the button role and be focusable if
        // it is clickable.
        role: onClick ? "button" : undefined, tabIndex: onClick ? 0 : -1, ...props }));
});
export default Chip;
