import type { InputProps as InputPropsType } from "../Input/index.js";
import type { StackProps } from "../Stack/index.js";
export declare const copyableTextClasses: {
    root: string;
    input: string;
    inputRoot: string;
    iconButton: string;
};
export type CopyableTextClassKey = keyof typeof copyableTextClasses;
export type CopyableTextClasses = Record<CopyableTextClassKey, string>;
export interface CopyableTextProps extends StackProps {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<CopyableTextClasses>;
    /**
     * Props for the input component.
     */
    InputProps?: Partial<InputPropsType>;
    /**
     * The text displayed when the text is copied.
     */
    tooltipCopiedText: string;
    /**
     * The text displayed when hovering over the copy button.
     */
    tooltipCopyText: string;
    /**
     * The text displayed in the input.
     */
    value: string | undefined;
}
declare const CopyableText: import("react").ForwardRefExoticComponent<Omit<CopyableTextProps, "ref"> & import("react").RefAttributes<unknown>>;
export default CopyableText;
