import type { FormControlClasses as MUIFormControlClasses, FormControlProps as MUIFormControlProps } from "@mui/material/FormControl";
import type { ReactNode } from "react";
export * from "@mui/material/FormControl";
declare const gcxFormControlClasses: {
    inlineHelp: string;
};
export declare const formControlClasses: {
    inlineHelp: string;
    root: string;
    marginNormal: string;
    marginDense: string;
    fullWidth: string;
};
export type FormControlClasses = MUIFormControlClasses & Record<keyof typeof gcxFormControlClasses, string>;
export type FormControlClassKey = keyof FormControlClasses;
export interface FormControlProps extends Omit<MUIFormControlProps, "classes"> {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<FormControlClasses>;
    /**
     * The content of the inline help to display for the field. If the content
     * is not provided, an inline help component will not be shown.
     */
    inlineHelpContent?: ReactNode;
    /**
     * The title to display on hover of the InlineHelp
     */
    inlineHelpTitle?: string;
    /**
     * The link displayed in the inline help.
     */
    inlineHelpUrl?: {
        label: string;
        href: string;
    };
}
/**
 * A simple extension for a Form Control that includes inline help.
 */
declare const FormControl: import("react").ForwardRefExoticComponent<Omit<FormControlProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default FormControl;
