import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUIFormControl, { formControlClasses as muiFormControlClasses, } from "@mui/material/FormControl";
import { forwardRef } from "react";
import InlineHelp from "../InlineHelp/index.js";
import { styled, mergeStyles } from "../styles/index.js";
// MUST be the first export, since some of the exports are overridden below.
export * from "@mui/material/FormControl";
const PREFIX = "GcxFormControl";
const gcxFormControlClasses = {
    inlineHelp: `${PREFIX}-inlineHelp`,
};
export const formControlClasses = {
    ...muiFormControlClasses,
    ...gcxFormControlClasses,
};
const StyledMUIFormControl = styled(MUIFormControl)(({ theme: { spacing } }) => ({
    marginTop: 0,
    marginBottom: spacing(1),
    [`& .${gcxFormControlClasses.inlineHelp}`]: {
        position: "absolute",
        right: 0,
    },
}));
/**
 * A simple extension for a Form Control that includes inline help.
 */
const FormControl = forwardRef((props, ref) => {
    const { children, classes, inlineHelpContent, inlineHelpUrl, inlineHelpTitle, ...other } = props;
    const { inlineHelp: inlineHelpClass, ...otherClasses } = mergeStyles(gcxFormControlClasses, classes);
    return (_jsxs(StyledMUIFormControl, { ...other, classes: otherClasses, ref: ref, children: [children, inlineHelpContent && (_jsx(InlineHelp, { title: inlineHelpTitle, className: inlineHelpClass, url: inlineHelpUrl, children: inlineHelpContent }))] }));
});
export default FormControl;
