import type { FormLabelClasses as MUIFormLabelClasses, FormLabelProps as MUIFormLabelProps } from "@mui/material/FormLabel";
import type { OverridableComponent } from "@mui/material/OverridableComponent";
declare const gcxFormLabelClasses: {
    errorIcon: string;
    errorIconBackground: string;
};
export * from "@mui/material/FormLabel";
export declare const formLabelClasses: {
    errorIcon: string;
    errorIconBackground: string;
    root: string;
    colorSecondary: string;
    focused: string;
    disabled: string;
    error: string;
    filled: string;
    required: string;
    asterisk: string;
};
export type FormLabelClasses = MUIFormLabelClasses & Record<keyof typeof gcxFormLabelClasses, string>;
export type FormLabelClassKey = keyof FormLabelClasses;
export type FormLabelProps = Omit<MUIFormLabelProps, "classes"> & {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<FormLabelClasses>;
};
export declare const FormLabel: import("react").ForwardRefExoticComponent<Omit<FormLabelProps, "ref"> & import("react").RefAttributes<HTMLLabelElement>>;
declare const _default: OverridableComponent<{
    props: FormLabelProps;
    defaultComponent: "label";
}>;
export default _default;
