import type { TextFieldProps } from "@mui/material/TextField";
import { type ColorInputProps } from "../ColorInput/ColorInput.js";
import type { FormControlProps } from "../FormControl/index.js";
import { type FormHelperTextProps } from "../FormHelperText/index.js";
export type FormLabelColorFieldProps = Omit<TextFieldProps, "variant" | "defaultValue" | "onFocus" | "onBlur" | "onChange" | "value" | "select" | "multiline" | "minRows" | "maxRows" | "SelectProps" | "rows" | "FormHelperTextProps"> & Pick<FormControlProps, "inlineHelpContent" | "inlineHelpUrl"> & {
    defaultValue?: ColorInputProps["defaultValue"];
    disabled?: ColorInputProps["disabled"];
    onBlur?: ColorInputProps["onBlur"];
    onChange?: ColorInputProps["onChange"];
    onFocus?: ColorInputProps["onFocus"];
    value: ColorInputProps["value"];
    ColorInputProps?: ColorInputProps;
    /**
     * The FormHelperTextProps found on the TextFieldProps are deprecated
     * and will be removed in MUI 7, so we must now add the prop ourselves.
     */
    FormHelperTextProps?: Partial<FormHelperTextProps>;
};
/**
 * Like TextField, but uses a FormLabel instead of an InputLabel. Also allows
 * for inline help.
 */
declare const FormLabelColorField: import("react").ForwardRefExoticComponent<Omit<FormLabelColorFieldProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default FormLabelColorField;
