import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from "react";
import ColorInput, {} from "../ColorInput/ColorInput.js";
import FormControl from "../FormControl/index.js";
import FormHelperText, {} from "../FormHelperText/index.js";
import FormLabel from "../FormLabel/index.js";
import { useId } from "../utils/react.js";
/**
 * Like TextField, but uses a FormLabel instead of an InputLabel. Also allows
 * for inline help.
 */
const FormLabelColorField = forwardRef((props, ref) => {
    const { defaultValue, FormHelperTextProps, fullWidth = false, helperText, id: idProp, label, onBlur, onChange, onFocus, type, value, disabled, ColorInputProps, ...other } = props;
    const id = useId(idProp);
    const helperTextId = helperText && id ? `${id}-helper-text` : undefined;
    const inputLabelId = label && id ? `${id}-label` : undefined;
    return (_jsxs(FormControl, { fullWidth: fullWidth, ref: ref, disabled: disabled, ...other, children: [label && (_jsx(FormLabel, { htmlFor: id, id: inputLabelId, children: label })), helperText && (_jsx(FormHelperText, { ...FormHelperTextProps, id: helperTextId, children: helperText })), _jsx(ColorInput, { id: id, onBlur: onBlur, onFocus: onFocus, defaultValue: defaultValue, "aria-describedby": helperTextId, "aria-labelledby": inputLabelId, onChange: onChange, value: value, disabled: disabled, ...ColorInputProps,
                // Workaround typings issue.
                ref: ColorInputProps?.ref })] }));
});
export default FormLabelColorField;
