import type { TextFieldProps } from "@mui/material/TextField";
import type { FormControlProps } from "../FormControl/index.js";
export type FormLabelTextFieldProps = Omit<TextFieldProps, "variant"> & Pick<FormControlProps, "inlineHelpContent" | "inlineHelpUrl"> & {
    /**
     * Shortcut for setting both `select` and `native` within SelectProps.
     */
    nativeSelect?: boolean;
};
/**
 * Like TextField, but uses a FormLabel instead of an InputLabel. Also allows
 * for inline help.
 */
declare const FormLabelTextField: import("react").ForwardRefExoticComponent<Omit<FormLabelTextFieldProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default FormLabelTextField;
