import type { BoxProps } from "@mui/system";
import type { ReactNode } from "react";
import type { IconButtonProps } from "../IconButton/index.js";
import type { MenuProps } from "../Menu/index.js";
export declare const iconMenuClasses: {
    root: string;
    iconButton: string;
};
export interface IconMenuClasses {
    root: string;
    iconButton: string;
}
export type IconMenuClassKey = keyof IconMenuClasses;
export interface IconMenuProps extends BoxProps {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<IconMenuClasses>;
    /**
     * Whether the icon button should be disabled.
     */
    disabled?: boolean;
    /**
     * The icon to show.
     */
    icon: ReactNode;
    /**
     * A ref for the menu element
     */
    menuRef?: React.MutableRefObject<HTMLDivElement>;
    /**
     * A 'virtual anchor' that can be provided to override the default behavior.
     * Use if the component hosting this could be destroyed while the menu is
     * open.
     */
    virtualAnchor?: DOMRect;
    /**
     * Attributes applied to the `IconButton` component.
     */
    IconButtonProps?: Partial<IconButtonProps>;
    /**
     * Attributes applied to the `Menu` component.
     */
    MenuProps?: Partial<MenuProps>;
}
declare const IconMenu: import("react").ForwardRefExoticComponent<Omit<IconMenuProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default IconMenu;
