import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import clsx from "clsx";
import { forwardRef, useRef, useState } from "react";
import Box from "../Box/index.js";
import IconButton from "../IconButton/index.js";
import Menu from "../Menu/index.js";
import { mergeStyles } from "../styles/index.js";
import { useId } from "../utils/react.js";
const PREFIX = "GcxIconMenu";
export const iconMenuClasses = {
    root: `${PREFIX}-root`,
    iconButton: `${PREFIX}-iconButton`,
};
const IconMenu = forwardRef(({ id: idProp, children, icon, className, classes: classesProp, disabled, menuRef, virtualAnchor, IconButtonProps, MenuProps, ...others }, ref) => {
    const anchorRef = useRef();
    const [open, setOpen] = useState(false);
    const id = useId(idProp);
    const classes = mergeStyles(iconMenuClasses, classesProp);
    return (_jsxs(Box, { className: clsx(classes.root, className), ref: ref, ...others, children: [_jsx(IconButton, { ...IconButtonProps, "aria-label": "More", "aria-owns": open ? id : undefined, "aria-haspopup": "true", "data-test": "IconMenu-btn", disabled: disabled, className: clsx(classes.iconButton, IconButtonProps?.className), onClick: event => {
                    setOpen(true);
                    IconButtonProps?.onClick?.(event);
                }, ref: ref => (anchorRef.current = anchorRef.current ?? ref), children: icon }), _jsx(Menu, { ...MenuProps, open: MenuProps?.open ?? open, id: id, ref: menuRef, "data-test": "IconMenu-menu", anchorEl: virtualAnchor
                    ? { nodeType: 1, getBoundingClientRect: () => virtualAnchor }
                    : anchorRef.current, onClose: (event, reason) => {
                    setOpen(false);
                    MenuProps?.onClose?.(event, reason);
                }, onClick: event => {
                    setOpen(false);
                    MenuProps?.onClick?.(event);
                }, children: children })] }));
});
export default IconMenu;
