import type { FC, ReactElement } from "react";
import type { FormControlProps, FormControlClasses } from "../FormControl/index.js";
declare const gcxInlineFormControlClasses: {
    formControlLabelRoot: string;
    formControl: string;
    formControlLabelLabel: string;
};
export declare const inlineFormControlClasses: {
    formControlLabelRoot: string;
    formControl: string;
    formControlLabelLabel: string;
    inlineHelp: string;
    root: string;
    marginNormal: string;
    marginDense: string;
    fullWidth: string;
};
export type InlineFormControlClasses = FormControlClasses & Record<keyof typeof gcxInlineFormControlClasses, string>;
export type InlineFormControlClassKey = keyof InlineFormControlClasses;
export type InlineFormControlProps = Omit<FormControlProps, "classes"> & {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<InlineFormControlClasses>;
    /**
     * The control to render
     */
    control: ReactElement;
    /**
     * The label for the control
     */
    label: string | number | ReactElement;
};
/**
 * Used for displaying a checkbox, switch, or Link with inline help.
 */
declare const InlineFormControl: FC<InlineFormControlProps>;
export default InlineFormControl;
