import type { LinkProps as MUILinkProps, LinkClasses as MUILinkClasses } from "@mui/material/Link";
import type { OverridableComponent } from "@mui/material/OverridableComponent";
export * from "@mui/material/Link";
declare const gcxLinkClasses: {
    /**
     * Styles applied to the external link icon when `showExternalLinkIcon` is
     * `true`.
     */
    externalLinkIcon: string;
};
export declare const linkClasses: {
    /**
     * Styles applied to the external link icon when `showExternalLinkIcon` is
     * `true`.
     */
    externalLinkIcon: string;
    root: string;
    underlineNone: string;
    underlineHover: string;
    underlineAlways: string;
    button: string;
    focusVisible: string;
};
export type LinkClasses = MUILinkClasses & Record<keyof typeof gcxLinkClasses, string>;
export type LinkClassKey = keyof LinkClasses;
export interface LinkProps extends Omit<MUILinkProps, "classes"> {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<LinkClasses>;
    /**
     * Determines whether or not to show an icon hinting that the link will be
     * external.
     */
    showExternalLinkIcon?: boolean;
}
declare const _default: OverridableComponent<{
    props: LinkProps;
    defaultComponent: "a";
}>;
export default _default;
