import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import MUILink, { linkClasses as muiLinkClasses } from "@mui/material/Link";
import { forwardRef } from "react";
import LinkExternal from "../icons/LinkExternal.js";
import { styled, mergeStyles } from "../styles/index.js";
// MUST be the first export, since some of the exports are overridden below.
export * from "@mui/material/Link";
const PREFIX = "GcxLink";
const gcxLinkClasses = {
    /**
     * Styles applied to the external link icon when `showExternalLinkIcon` is
     * `true`.
     */
    externalLinkIcon: `${PREFIX}-externalLinkIcon`,
};
export const linkClasses = {
    ...muiLinkClasses,
    ...gcxLinkClasses,
};
const StyledMUILink = styled(MUILink)(() => ({
    [`& .${gcxLinkClasses.externalLinkIcon}`]: {
        width: "0.75em",
        height: "0.75em",
        margin: "0 0.2em",
    },
}));
const Link = forwardRef(({ classes, children, showExternalLinkIcon, ...otherProps }, ref) => {
    const { externalLinkIcon: externalLinkIconClass, ...otherClasses } = mergeStyles(gcxLinkClasses, classes);
    return (_jsxs(StyledMUILink, { ...otherProps, classes: otherClasses, ref: ref, children: [children, showExternalLinkIcon && (_jsx(LinkExternal, { className: externalLinkIconClass, fontSize: "inherit", "data-test": "Link-external-icon" }))] }));
});
export default Link;
