import type { ReactNode } from "react";
export declare const loaderClasses: {
    root: string;
    dot: string;
    showBackground: string;
    visible: string;
};
export type LoaderClassKey = keyof typeof loaderClasses;
export type LoaderClasses = Record<LoaderClassKey, string>;
export interface LoaderProps {
    /**
     * Optionally the children to be rendered by the Loader.
     */
    children?: ReactNode;
    /**
     * The CSS class name of the root element.
     */
    className?: string;
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<LoaderClasses>;
    /**
     * Whether a semi-transparent background should be rendered.
     */
    showBackground?: boolean;
    /**
     * Whether the overlay is visible.
     */
    visible: boolean;
}
declare const Loader: import("react").ForwardRefExoticComponent<LoaderProps & import("react").RefAttributes<HTMLDivElement>>;
export default Loader;
