import { jsx as _jsx } from "react/jsx-runtime";
import clsx from "clsx";
import Box from "../Box/index.js";
import { sanitizeHtml } from "../utils/html.js";
import { markdownToHtml } from "../utils/markdown.js";
/**
 * A component that renders markdown as HTML.
 */
const Markdown = ({ markdown, inline, escapeHtml, sanitize = sanitizeHtml, linkTarget, className, ...otherProps }) => (_jsx(Box, { component: inline ? "span" : "div", className: clsx("GcxMarkdown", className), dangerouslySetInnerHTML: {
        __html: sanitize(markdownToHtml(markdown, { inline, escapeHtml, linkTarget })),
    }, ...otherProps }));
export default Markdown;
