import { type AlertProps } from "@mui/material";
import type { FC } from "react";
import type { SnackbarProps } from "../Snackbar";
/**
 * Properties for the Notification component.
 */
export interface NotificationProperties extends SnackbarProps {
    /**
     * The title for the close button.
     */
    closeButtonTitle: string;
    /**
     * Optional alert properties.
     */
    alertProps?: AlertProps;
}
/**
 * A Helper component that wraps a Mui Snackbar and displays a circular progress
 * representing the current auto hide duration.
 */
declare const Notification: FC<NotificationProperties>;
export default Notification;
