export interface NumberFormatContextProps {
    /**
     * Returns a stringified number that may include additional/alternative
     * formatting. By default, this will attempt to directly convert a number to
     * a string.
     */
    formatNumber: (n: number) => string;
    /**
     * Returns a number parsed from a string that may include
     * additional/alternative formatting. By default, this will attempt to
     * directly convert a string to a number.
     */
    parseNumber: (s: string) => number;
}
/**
 * A React context for components that gives access to number formatting
 * utilities.
 */
export declare const NumberFormatContext: import("react").Context<NumberFormatContextProps>;
