import { type FC } from "react";
import type { FontJson } from "./SymbolJson.js";
import { type FontFamily } from "./fonts.js";
import type { BoxProps } from "../Box";
import type { FormLabelAutocompleteFieldProps } from "../FormLabelAutocompleteField/FormLabelAutocompleteField.js";
import type { FormLabelSliderFieldProps } from "../FormLabelSliderField";
import type { FormLabelTextFieldProps } from "../FormLabelTextField";
export interface FontInputProps extends Omit<BoxProps, "onChange"> {
    onChange: (symbol: FontJson) => void;
    font?: FontJson;
    fontFamilies?: FontFamily[];
    languageResources?: LanguageResources;
    AutoCompleteComponent?: FC<FormLabelAutocompleteFieldProps<FontFamily, false, true, false>>;
    TextInputComponent?: FC<FormLabelTextFieldProps>;
    NumberInputComponent?: FC<FormLabelSliderFieldProps>;
}
export interface LanguageResources {
    font?: string;
    fontSize?: string;
    fontFamily?: string;
    fontStyle?: string;
    fontWeight?: string;
    decoration?: string;
    decorationNone?: string;
    decorationLineThrough?: string;
    decorationLineUnderline?: string;
}
export declare const FontInput: FC<FontInputProps>;
