import { type FC } from "react";
import type { SymbolJson, SimpleFillSymbolJson, SimpleLineSymbolJson } from "./SymbolJson.js";
import { type UnsupportedSymbolProps } from "./UnsupportedSymbol.js";
import { type SelectValues } from "./utilities.js";
import { type BoxProps } from "../Box/index.js";
import { type FormLabelColorFieldProps } from "../FormLabelColorField/index.js";
import { type FormLabelSliderFieldProps } from "../FormLabelSliderField/index.js";
import { type FormLabelTextFieldProps } from "../FormLabelTextField/index.js";
export interface LanguageResources {
    lineColorTitle?: string;
    lineStyleTitle?: string;
    lineWidthTitle?: string;
    fillColorTitle?: string;
    fillStyleTitle?: string;
    lineStyleDash?: string;
    lineStyleDashDot?: string;
    lineStyleDot?: string;
    lineStyleLongDash?: string;
    lineStyleLongDashDot?: string;
    lineStyleNone?: string;
    lineStyleShortDash?: string;
    lineStyleShortDashDot?: string;
    lineStyleShortDashDotDot?: string;
    lineStyleShortDot?: string;
    lineStyleSolid?: string;
    fillStyleBackwardDiagonal?: string;
    fillStyleCross?: string;
    fillStyleDiagonalCross?: string;
    fillStyleForwardDiagonal?: string;
    fillStyleHorizontal?: string;
    fillStyleNone?: string;
    fillStyleSolid?: string;
    fillStyleVertical?: string;
}
export declare function symbolIsSupported(symbol: SymbolJson): boolean;
export interface SimpleFillSymbolInputProps extends Omit<BoxProps, "onChange"> {
    onChange: (symbol: SymbolJson) => void;
    symbol: SymbolJson;
    languageResources?: LanguageResources & UnsupportedSymbolProps["languageResources"];
    colorResources?: UnsupportedSymbolProps["colorResources"];
    isSupported?: (symbol: SymbolJson) => symbol is SimpleFillSymbolJson;
    TextInputComponent?: FC<FormLabelTextFieldProps>;
    NumberInputComponent?: FC<FormLabelSliderFieldProps>;
    ColorInputComponent?: FC<FormLabelColorFieldProps>;
}
declare const SimpleFillSymbolInput: FC<SimpleFillSymbolInputProps>;
export default SimpleFillSymbolInput;
export declare const getSimpleFillStyles: (t: Required<LanguageResources>) => SelectValues<Required<SimpleFillSymbolJson>["style"]>;
export declare const getSimpleLineStyles: (t: Required<LanguageResources>) => SelectValues<Required<SimpleLineSymbolJson>["style"]>;
