import { type FC } from "react";
import type { SymbolJson, SimpleLineSymbolJson } from "./SymbolJson.js";
import { type UnsupportedSymbolProps } from "./UnsupportedSymbol.js";
import { type SelectValues } from "./utilities.js";
import { type BoxProps } from "../Box/index.js";
import { type FormLabelColorFieldProps } from "../FormLabelColorField/index.js";
import { type FormLabelSliderFieldProps } from "../FormLabelSliderField/index.js";
import { type FormLabelTextFieldProps } from "../FormLabelTextField/index.js";
export declare function symbolIsSupported(symbol: SymbolJson): symbol is SimpleLineSymbolJson;
export interface LanguageResources {
    lineColorTitle?: string;
    lineStyleTitle?: string;
    lineWidthTitle?: string;
    lineStyleDash?: string;
    lineStyleDashDot?: string;
    lineStyleDot?: string;
    lineStyleLongDash?: string;
    lineStyleLongDashDot?: string;
    lineStyleNone?: string;
    lineStyleShortDash?: string;
    lineStyleShortDashDot?: string;
    lineStyleShortDashDotDot?: string;
    lineStyleShortDot?: string;
    lineStyleSolid?: string;
}
export interface SimpleLineSymbolInputProps extends Omit<BoxProps, "onChange"> {
    onChange: (symbol: SymbolJson) => void;
    symbol: SymbolJson;
    languageResources?: LanguageResources & UnsupportedSymbolProps["languageResources"];
    colorResources?: UnsupportedSymbolProps["colorResources"];
    isSupported?: (symbol: SymbolJson) => symbol is SimpleLineSymbolJson;
    TextInputComponent?: FC<FormLabelTextFieldProps>;
    NumberInputComponent?: FC<FormLabelSliderFieldProps>;
    ColorInputComponent?: FC<FormLabelColorFieldProps>;
}
declare const SimpleLineSymbolInput: FC<SimpleLineSymbolInputProps>;
export default SimpleLineSymbolInput;
export declare const getSimpleLineStyles: (t: Required<LanguageResources>) => SelectValues<Required<SimpleLineSymbolJson>["style"]>;
