import { type FC } from "react";
import type { SymbolJson, SimpleMarkerSymbolJson } from "./SymbolJson.js";
import type { UnsupportedSymbolProps } from "./UnsupportedSymbol.js";
import { type SelectValues } from "./utilities.js";
import { type BoxProps } from "../Box/index.js";
import { type FormLabelColorFieldProps } from "../FormLabelColorField/index.js";
import { type FormLabelSliderFieldProps } from "../FormLabelSliderField/index.js";
import { type FormLabelTextFieldProps } from "../FormLabelTextField/index.js";
export interface LanguageResources {
    lineColorTitle?: string;
    lineWidthTitle?: string;
    fillColorTitle?: string;
    markerSizeTitle?: string;
    markerStyleTitle?: string;
    markerAngleTitle?: string;
    xOffsetTitle?: string;
    yOffsetTitle?: string;
    markerStyleCircle?: string;
    markerStyleCross?: string;
    markerStyleDiamond?: string;
    markerStyleSquare?: string;
    markerStyleTriangle?: string;
    markerStyleX?: string;
}
export declare function symbolIsSupported(symbol: SymbolJson): boolean;
export interface SimpleMarkerSymbolInputProps extends Omit<BoxProps, "onChange"> {
    onChange: (symbol: SymbolJson) => void;
    symbol: SymbolJson;
    languageResources?: LanguageResources & UnsupportedSymbolProps["languageResources"];
    colorResources?: UnsupportedSymbolProps["colorResources"];
    isSupported?: (symbol: SymbolJson) => symbol is SimpleMarkerSymbolJson;
    TextInputComponent?: FC<FormLabelTextFieldProps>;
    NumberInputComponent?: FC<FormLabelSliderFieldProps>;
    ColorInputComponent?: FC<FormLabelColorFieldProps>;
}
declare const SimpleMarkerSymbolInput: FC<SimpleMarkerSymbolInputProps>;
export default SimpleMarkerSymbolInput;
export declare const getSimpleMarkerStyles: (t: Required<LanguageResources>) => SelectValues<Required<SimpleMarkerSymbolJson>["style"]>;
