import type { FC } from "react";
import { type SimpleFillSymbolInputProps } from "./SimpleFillSymbolInput.js";
import { type SimpleLineSymbolInputProps } from "./SimpleLineSymbolInput.js";
import { type SimpleMarkerSymbolInputProps } from "./SimpleMarkerSymbolInput.js";
import type { SymbolJson } from "./SymbolJson.js";
import { type TextSymbolInputProps } from "./TextSymbolInput.js";
import type { UnsupportedSymbolProps } from "./UnsupportedSymbol.js";
import type { FontFamily } from "./fonts.js";
import { type BoxProps } from "../Box/index.js";
import type { FormLabelAutocompleteFieldProps } from "../FormLabelAutocompleteField/index.js";
import type { FormLabelColorFieldProps } from "../FormLabelColorField/FormLabelColorField.js";
import type { FormLabelSliderFieldProps } from "../FormLabelSliderField/FormLabelSliderField.js";
import type { FormLabelTextFieldProps } from "../FormLabelTextField/FormLabelTextField.js";
export declare function symbolIsSupported(symbol: SymbolJson): boolean;
export interface SymbolInputProps extends Omit<BoxProps, "onChange"> {
    onChange: (symbol: SymbolJson) => void;
    symbol: SymbolJson;
    languageResources?: SimpleFillSymbolInputProps["languageResources"] & SimpleLineSymbolInputProps["languageResources"] & SimpleMarkerSymbolInputProps["languageResources"] & TextSymbolInputProps["languageResources"];
    colorResources?: UnsupportedSymbolProps["colorResources"];
    isSupported?: (symbol: SymbolJson) => boolean;
    AutoCompleteComponent?: FC<FormLabelAutocompleteFieldProps<FontFamily, false, true, false>>;
    TextInputComponent?: FC<FormLabelTextFieldProps>;
    NumberInputComponent?: FC<FormLabelSliderFieldProps>;
    ColorInputComponent?: FC<FormLabelColorFieldProps>;
    textSymbolDisplayOptions?: TextSymbolInputProps["displayOptions"];
}
declare const SymbolInput: FC<SymbolInputProps>;
export default SymbolInput;
