import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import SimpleFillSymbolInput, {} from "./SimpleFillSymbolInput.js";
import SimpleLineSymbolInput, {} from "./SimpleLineSymbolInput.js";
import SimpleMarkerSymbolInput, {} from "./SimpleMarkerSymbolInput.js";
import TextSymbolInput, {} from "./TextSymbolInput.js";
import UnsupportedSymbol from "./UnsupportedSymbol.js";
import Box, {} from "../Box/index.js";
export function symbolIsSupported(symbol) {
    const type = symbol.type;
    return type === "esriSMS" || type === "esriSLS" || type === "esriSFS" || type === "esriTS";
}
const SymbolInput = props => {
    const { onChange, symbol, languageResources, colorResources, children, isSupported = symbolIsSupported, AutoCompleteComponent, TextInputComponent, NumberInputComponent, ColorInputComponent, textSymbolDisplayOptions, ...other } = props;
    const symbolProps = {
        onChange,
        symbol,
        languageResources,
        colorResources,
        TextInputComponent,
        NumberInputComponent,
        ColorInputComponent,
    };
    const isSupportedSymbol = symbolIsSupported(symbol) && isSupported(symbol);
    return (_jsxs(Box, { ...other, children: [!isSupportedSymbol && _jsx(UnsupportedSymbol, { ...props }), children, symbol.type === "esriSFS" && (_jsx(SimpleFillSymbolInput, { ...symbolProps, isSupported: props.isSupported })), symbol.type === "esriSLS" && (_jsx(SimpleLineSymbolInput, { ...symbolProps, isSupported: props.isSupported })), symbol.type === "esriSMS" && (_jsx(SimpleMarkerSymbolInput, { ...symbolProps, isSupported: props.isSupported })), symbol.type === "esriTS" && (_jsx(TextSymbolInput, { ...symbolProps, isSupported: props.isSupported, AutoCompleteComponent: AutoCompleteComponent, displayOptions: textSymbolDisplayOptions }))] }));
};
export default SymbolInput;
