import { jsx as _jsx } from "react/jsx-runtime";
import { DEFAULT_LANGUAGE } from "./utilities.js";
import Typography from "../Typography/index.js";
export const DEFAULT_COLORS = {
    errorBackground: "#B22222",
    errorForeground: "#FFFFFF",
};
const UnsupportedSymbol = ({ colorResources, languageResources }) => {
    const text = {
        ...DEFAULT_LANGUAGE,
        ...languageResources,
    };
    const colors = { ...DEFAULT_COLORS, ...colorResources };
    return (_jsx(Typography, { sx: {
            mb: 1,
            p: 0.5,
            backgroundColor: colors.errorBackground,
            color: colors.errorForeground,
            borderRadius: 1,
        }, children: text.symbolUnsupportedErrorMessage }));
};
export default UnsupportedSymbol;
