import type { ColorJson, SimpleFillSymbolJson, SimpleLineSymbolJson, SimpleMarkerSymbolJson, SymbolJson } from "./SymbolJson";
export declare const DEFAULT_LANGUAGE: {
    fillColorTitle: string;
    fillStyleTitle: string;
    lineColorTitle: string;
    lineStyleTitle: string;
    lineWidthTitle: string;
    markerAngleTitle: string;
    xOffsetTitle: string;
    yOffsetTitle: string;
    markerSizeTitle: string;
    markerStyleTitle: string;
    symbolUnsupportedErrorMessage: string;
    markerStyleCircle: string;
    markerStyleCross: string;
    markerStyleDiamond: string;
    markerStyleSquare: string;
    markerStyleTriangle: string;
    markerStyleX: string;
    lineStyleDash: string;
    lineStyleDashDot: string;
    lineStyleDot: string;
    lineStyleLongDashDot: string;
    lineStyleLongDash: string;
    lineStyleNone: string;
    lineStyleShortDashDotDot: string;
    lineStyleShortDashDot: string;
    lineStyleShortDash: string;
    lineStyleShortDot: string;
    lineStyleSolid: string;
    fillStyleBackwardDiagonal: string;
    fillStyleCross: string;
    fillStyleDiagonalCross: string;
    fillStyleForwardDiagonal: string;
    fillStyleHorizontal: string;
    fillStyleNone: string;
    fillStyleSolid: string;
    fillStyleVertical: string;
    angleTitle: string;
    backgroundColor: string;
    borderLineColor: string;
    borderLineSize: string;
    color: string;
    font: string;
    fontSize: string;
    fontFamily: string;
    fontStyle: string;
    fontWeight: string;
    haloColor: string;
    haloSize: string;
    horizontalAlignment: string;
    horizontalAlignmentLeft: string;
    horizontalAlignmentRight: string;
    horizontalAlignmentCenter: string;
    verticalAlignment: string;
    verticalAlignmentBaseline: string;
    verticalAlignmentTop: string;
    verticalAlignmentMiddle: string;
    verticalAlignmentBottom: string;
    decoration: string;
    decorationNone: string;
    decorationLineThrough: string;
    decorationLineUnderline: string;
};
export declare const NO_FILL_MARKER_STYLES: SimpleMarkerSymbolJson["style"][];
export declare const DEFAULT_PARSE_NUMBER: (s: string | undefined) => number;
export declare const DEFAULT_FORMAT_NUMBER: (n: number | undefined) => string;
export type SelectValues<T extends string = string, U extends string = string> = {
    id: T;
    label: U;
}[];
export declare const getLineStyle: (symbol: SymbolJson) => SimpleLineSymbolJson["style"] | undefined;
export declare const getFillStyle: (symbol: SymbolJson) => SimpleFillSymbolJson["style"] | undefined;
export declare const getLineColor: (symbol: SymbolJson) => ColorJson | undefined;
export declare const getFillColor: (symbol: SymbolJson) => ColorJson | undefined;
export declare const getLineWidth: (symbol: SymbolJson) => number | undefined;
export declare const getMarkerProperty: <T extends keyof SimpleMarkerSymbolJson, U extends SimpleMarkerSymbolJson[T]>(symbol: SymbolJson, property: T) => U | undefined;
export declare const toRgbaString: (color: ColorJson | undefined) => string;
export declare const toColor: (color: string | undefined) => ColorJson;
export declare const fromRgbString: (color: string) => ColorJson | undefined;
export declare const fromRgbaString: (color: string) => ColorJson | undefined;
export declare const DEFAULT_COLOR: number[];
export declare const DEFAULT_RGBA_STRING = "rgba(255, 255, 255, 1)";
