import type { OverridableComponent } from "@mui/material/OverridableComponent";
import type { TabProps as MUITabProps, TabClasses as MUITabClasses } from "@mui/material/Tab";
import type { ReactNode } from "react";
import type { ButtonBaseClasses } from "../ButtonBase/index.js";
export * from "@mui/material/Tab";
declare const gcxTabClasses: {
    endAdornment: string;
    fullWidthContainer: string;
    tabAdorned: string;
    tabContainer: string;
    /**
     * Styles applied to the label's wrapper element.
     */
    labelWrapper: string;
};
export declare const tabClasses: {
    endAdornment: string;
    fullWidthContainer: string;
    tabAdorned: string;
    tabContainer: string;
    /**
     * Styles applied to the label's wrapper element.
     */
    labelWrapper: string;
    root: string;
    labelIcon: string;
    textColorInherit: string;
    textColorPrimary: string;
    textColorSecondary: string;
    selected: string;
    disabled: string;
    fullWidth: string;
    wrapped: string;
    iconWrapper: string;
    icon: string;
};
export type TabClasses = MUITabClasses & ButtonBaseClasses & Record<keyof typeof gcxTabClasses, string>;
export type TabClassKey = keyof TabClasses;
export type TabProps = Omit<MUITabProps, "classes"> & {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<TabClasses>;
    /**
     * End adornment for this component.
     */
    endAdornment?: ReactNode;
};
export * from "@mui/material/Tab";
declare const _default: OverridableComponent<{
    props: TabProps;
    defaultComponent: "div";
}>;
export default _default;
