import type { TabsProps as MUITabsProps, TabsClasses as MUITabsClasses } from "@mui/material/Tabs";
export * from "@mui/material/Tabs";
declare const gcxTabsClasses: {
    /**
     * Class applied when there is no indicator color.
     */
    indicatorTransparent: string;
};
export declare const tabsClasses: {
    /**
     * Class applied when there is no indicator color.
     */
    indicatorTransparent: string;
    root: string;
    vertical: string;
    flexContainer: string;
    flexContainerVertical: string;
    centered: string;
    scroller: string;
    fixed: string;
    scrollableX: string;
    scrollableY: string;
    hideScrollbar: string;
    scrollButtons: string;
    scrollButtonsHideMobile: string;
    indicator: string;
};
export type TabsClasses = MUITabsClasses & Record<keyof typeof gcxTabsClasses, string>;
export type TabsClassKey = keyof TabsClasses;
export type TabsProps = Omit<MUITabsProps, "classes"> & {
    /**
     * Additional CSS classes to be applied to the component.
     */
    classes?: Partial<TabsClasses>;
};
declare const Tabs: import("react").ForwardRefExoticComponent<Omit<TabsProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default Tabs;
