import SvgIcon from "@mui/material/SvgIcon";
import type { ReactNode } from "react";
/**
 * Creates an SVG icon component from a <path>.
 *
 * @param path The React component representing the inner path of the SVG.
 * @param displayName The display name.
 * @param mirror Whether or not to mirror the icon in RTL mode. By default it
 *   will mirror anything with "Left" or "Right" in the display name, as well as
 *   some built-in icons. See the Material UI guidelines for a discussion of
 *   which icons should be mirrored.
 */
export default function createSvgIcon(path: ReactNode, displayName: string, mirror?: boolean): typeof SvgIcon;
