import type { Components, Theme, ThemeOptions as MuiThemeOptions } from "@mui/material/styles";
import type { PickerComponents, PickersProComponents } from "../styles/themeAugmentation.js";
export type * from "../styles/themeAugmentation.js";
export type ThemeOptions = Omit<MuiThemeOptions, "components"> & {
    components?: Components<Omit<Theme, "components">> & PickerComponents<Theme> & PickersProComponents<Theme>;
};
export type { Theme };
export interface CreateThemeOptions extends ThemeOptions {
    /**
     * If specified, sets the `dense` property on components that supports it,
     * and adjusts default spacing, padding, font size, etc. of many components
     * accordingly. The default is `false`.
     */
    dense?: boolean;
}
declare function createTheme(options?: CreateThemeOptions): Theme;
export default createTheme;
export type { Direction } from "@mui/material/styles";
/**
 * Merges theme overrides with a base theme.
 *
 * @param theme The theme to override.
 * @param overrides New theme settings that will be deeply merged with the
 *   original theme.
 * @returns A new theme that is the merger of the original theme plus overrides.
 */
export declare function overrideTheme(theme: Theme, overrides: ThemeOptions): Theme;
