export type * from "../styles/themeAugmentation.js";
export { alpha, ThemeProvider as GcxThemeProvider, createStyles, darken, decomposeColor, duration, easing, emphasize, getContrastRatio, getLuminance, hexToRgb, hslToRgb, lighten, recomposeColor, responsiveFontSizes, rgbToHex, styled, useTheme, } from "@mui/material/styles";
export type { ColorFormat, ColorObject, ComponentsPropsList, CSSObject, Duration, Easing, PaletteColorOptions, SimplePaletteColorOptions, Transitions, TransitionsOptions, TypographyStyle, TypographyVariant, } from "@mui/material/styles";
export type { CSSProperties } from "@mui/material/styles/createMixins";
export type { ThemeProviderProps } from "@mui/material/styles/ThemeProvider";
export { default as CacheProvider, createCache } from "./CacheProvider.js";
export { default as createTheme } from "./createTheme.js";
export type { Direction, Theme, ThemeOptions } from "./createTheme.js";
export { keyframes } from "@emotion/react";
export type { SxProps } from "@mui/system";
/**
 * Merges a set of well-known class names for CSS slots with those passed into
 * the component's props via the "classes" property.
 *
 * @param standardClasses A dictionary of slot => class name
 * @param classesProp The value of the "classes" prop.
 */
export declare function mergeStyles<TStandardClasses extends Record<string, string>, TClasses extends TStandardClasses & Record<string, string>>(standardClasses: TStandardClasses, classesProp?: Partial<TClasses> | undefined): TStandardClasses & Partial<TClasses>;
