import clsx from "clsx";
export { alpha, ThemeProvider as GcxThemeProvider, createStyles, darken, decomposeColor, duration, easing, emphasize, getContrastRatio, getLuminance, hexToRgb, hslToRgb, lighten, recomposeColor, responsiveFontSizes, rgbToHex, styled, useTheme, } from "@mui/material/styles";
export { default as CacheProvider, createCache } from "./CacheProvider.js";
export { default as createTheme } from "./createTheme.js";
export { keyframes } from "@emotion/react";
/**
 * Merges a set of well-known class names for CSS slots with those passed into
 * the component's props via the "classes" property.
 *
 * @param standardClasses A dictionary of slot => class name
 * @param classesProp The value of the "classes" prop.
 */
export function mergeStyles(standardClasses, classesProp = {}) {
    const merged = {
        ...classesProp,
        ...standardClasses,
    };
    for (const key of Object.keys(standardClasses).filter(k => k in classesProp)) {
        // The order here is important. The class name(s) passed into the props
        // for a given class key need to come after the component's own class
        // name for that key in order to be able to override default styles.
        merged[key] = clsx(standardClasses[key], classesProp[key]);
    }
    return merged;
}
