import blue from "../colors/blue.js";
import common from "../colors/common.js";
import green from "../colors/green.js";
import grey from "../colors/grey.js";
import red from "../colors/red.js";
const secondaryTextColor = "#666666";
const primaryTextColor = "#333333";
const primaryErrorColor = "#B22222";
const primaryWarningColor = "#BF5300";
const primarySuccessColor = "#008040";
const lightModePaletteOverrides = (palette) => ({
    background: {
        default: common.white,
    },
    text: {
        primary: primaryTextColor,
        secondary: secondaryTextColor,
    },
    custom: {
        errorText: palette.error.main,
        errorBackground: palette.background.default,
        darkModeEmphasis: "transparent",
        greyBackground: grey[100],
        greyOutline: "rgba(0, 0, 0, 0.23)",
        negativeSpace: palette.common.white,
    },
});
const darkModePaletteOverrides = (palette) => ({
    custom: {
        errorText: palette.text.primary,
        errorBackground: palette.error.main,
        darkModeEmphasis: common.white,
        greyBackground: grey[900],
        greyOutline: "rgba(255, 255, 255, 0.23)",
        negativeSpace: palette.common.black,
    },
});
export const getPaletteOverrides = (palette) => palette.mode === "light"
    ? lightModePaletteOverrides(palette)
    : darkModePaletteOverrides(palette);
export const defaultPalette = {
    primary: blue,
    secondary: green,
    grey: { ...grey, main: grey[300], dark: grey[400] },
    error: { ...red, main: primaryErrorColor },
    warning: { main: primaryWarningColor },
    success: { main: primarySuccessColor },
};
