import Color from "color";
/**
 * Returns a Color object if valid. Undefined if invalid
 */
export function parse(color) {
    try {
        if (!color) {
            return undefined;
        }
        // Likely testing a value from the input element
        if (typeof color === "string") {
            return Color(color);
        }
        if (typeof color.r !== "undefined" &&
            typeof color.g !== "undefined" &&
            typeof color.b !== "undefined") {
            const rgb = [
                parseInt(color.r),
                parseInt(color.g),
                parseInt(color.b),
            ];
            let alpha = undefined;
            if (color.a !== undefined) {
                alpha = color.a;
            }
            else if (color.alpha !== undefined) {
                alpha = color.alpha;
            }
            if (alpha !== undefined) {
                rgb.push(parseFloat(alpha));
            }
            return Color(rgb);
        }
    }
    catch {
        // Didn't validate. Let's ignore.
    }
    return undefined;
}
