/**
 * Sanitize a string of unsafe HTML to eliminate XSS (cross-site scripting)
 * security risks. This method allows tags and standard attributes, however
 * `data-` attributes are not allowed. Script tags are not allowed either.
 *
 * @param unsafeHtml String of HTML to be scrubbed clean.
 * @returns Safe HTML that has been sanitized.
 */
export declare function sanitizeHtml(unsafeHtml: string): string;
/**
 * Strip all HTML out of a string.
 *
 * @param html String of text which will have its HTML stripped away.
 * @returns A plain text string without any HTML markup.
 */
export declare function stripHtml(html: string | undefined): string | undefined;
