/**
 * Clears the hash string.
 */
export declare function clearHashParams(): void;
/**
 * Returns the decoded hash parameter value for a given key.
 *
 * @param key The key used to return a value.
 */
export declare function getHashParam(key: string): string | undefined;
export declare function getQueryStringParam(key: string): string | undefined;
/**
 * Builds and sets the hash string.
 *
 * @param kvp An object with hash parameters as key/value pairs.
 */
export declare function setHashParams(kvp: {
    [key: string]: string;
}): void;
